FROM golang:1.12-stretch
RUN apt update && apt -y upgrade && apt -y install git build-essential && apt clean
RUN git clone https://github.com/ipfs/go-ipfs /ipfs
WORKDIR /ipfs
RUN make install
RUN useradd -ms /bin/bash node
RUN chown node.node -R /ipfs
USER node
